Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.time
Interface Ticklish

All Known Subinterfaces:
  QTDisplaySpace, Space, Targetable, TicklishController

All Known Implementing Classes:
  Invalidator, PeriodicAction

public interface Ticklish

The Ticklish interface is primarily implemented by objects that are attached to a Timer. The Timer can either be subclassed or provided with a target object that implements the Ticklish interface.

If the Timer has a target then when the next scheduled time value is reached the target will be tickled. The time value that is given to the the tickle method when it is invoked is expressed in the scale of this interface. If a time state of the Timer is changed, through the time jumping from one time to another or a rate change from positive to negative or vice versa, then the timer will call the timeChanged method with the new time, also expressed in the scale of the Ticklish.kScale value.

See Also:
  `Timer`

Field Summary
`static int` | `kScale` The scale of the time values that are given to the ticklish object

Method Summary
`boolean` | `tickle(float er, int time)` The Timer invokes the tickle method when the invocation constraints of the Timer are reached.
`void` | `timeChanged(int newTime)` Invoked by the timer when a time condition of its time base has changed.

Field Detail

### kScale

    public static final int kScale

  The scale of the time values that are given to the ticklish object

Method Detail

### timeChanged

    public void timeChanged(int newTime)
                     throws QTException

  Invoked by the timer when a time condition of its time base has changed.
  Parameters:
    `the` - newTime of the time base resulting from the changed time line of the timer

### tickle

    public boolean tickle(float er,
                          int time)
                   throws QTException

  The Timer invokes the tickle method when the invocation constraints of the Timer are reached.
  Parameters:
    `er` - the effective rate of the Timer when the time condition matches
    `time` - the time that the Timer invoked the tickle method.
  Returns:
    true if the Ticklish object should receive a consequent tickle, or false if the Ticklish object should not be tickled again.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD